Package com.collibra.dgc.core.api.dto.instance.complexrelation

# Class ExportComplexRelationsToCSVRequest

Object
ExportComplexRelationsRequest
ExportComplexRelationsToCSVRequest

All Implemented Interfaces:
  `Serializable`

public class ExportComplexRelationsToCSVRequest extends ExportComplexRelationsRequest implements Serializable
Request for exporting complex relations to CSV.

See Also:
  - Serialized Form

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static final class`
  `ExportComplexRelationsToCSVRequest.Builder`

- ## Field Summary

  ### Fields inherited from class ExportComplexRelationsRequest

  `complexRelationTypeId, domainId, fileName, includeHeaderRow, removeFormatting, storeAsAttachment, supportRoundtrip`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ExportComplexRelationsToCSVRequest()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static ExportComplexRelationsToCSVRequest.Builder`
  `anExportComplexRelationsToCSVRequest()`
  Deprecated.
  This method will be removed from the next major release.
  `static ExportComplexRelationsToCSVRequest.Builder`
  `builder()`
  `protected boolean`
  `canEqual(Object other)`
  `boolean`
  `equals(Object o)`
  `String`
  `getEscape()`
  The delimiter character used to escape separator or quote character.
  `String`
  `getQuote()`
  The delimiter character used for quoted entries.
  `String`
  `getSeparator()`
  The delimiter character used to separate entries.
  `int`
  `hashCode()`
  `void`
  `setEscape(String escape)`
  The delimiter character used to escape separator or quote character.
  `void`
  `setQuote(String quote)`
  The delimiter character used for quoted entries.
  `void`
  `setSeparator(String separator)`
  The delimiter character used to separate entries.
  `String`
  `toString()`

  ### Methods inherited from class ExportComplexRelationsRequest

  `getComplexRelationTypeId, getDomainId, getFileName, isIncludeHeaderRow, isRemoveFormatting, isStoreAsAttachment, isSupportRoundtrip, setComplexRelationTypeId, setDomainId, setFileName, setIncludeHeaderRow, setRemoveFormatting, setStoreAsAttachment, setSupportRoundtrip`

  ### Methods inherited from class Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### ExportComplexRelationsToCSVRequest

    public ExportComplexRelationsToCSVRequest()

- ## Method Details

  - ### anExportComplexRelationsToCSVRequest

    @Deprecated public static ExportComplexRelationsToCSVRequest.Builder anExportComplexRelationsToCSVRequest()
    Deprecated.
    This method will be removed from the next major release. Please use `builder()`.

  - ### builder

    public static ExportComplexRelationsToCSVRequest.Builder builder()

  - ### getSeparator

    public String getSeparator()
    The delimiter character used to separate entries. If not provided default value `';'` is used.

  - ### getQuote

    public String getQuote()
    The delimiter character used for quoted entries. If not provided default value `'\"'` is used.

  - ### getEscape

    public String getEscape()
    The delimiter character used to escape separator or quote character. If not provided default value `'\\'` is used.

  - ### setSeparator

    public void setSeparator(String separator)
    The delimiter character used to separate entries. If not provided default value `';'` is used.

  - ### setQuote

    public void setQuote(String quote)
    The delimiter character used for quoted entries. If not provided default value `'\"'` is used.

  - ### setEscape

    public void setEscape(String escape)
    The delimiter character used to escape separator or quote character. If not provided default value `'\\'` is used.

  - ### equals

    public boolean equals(Object o)
    Overrides:
      `equals` in class `ExportComplexRelationsRequest`

  - ### canEqual

    protected boolean canEqual(Object other)
    Overrides:
      `canEqual` in class `ExportComplexRelationsRequest`

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `ExportComplexRelationsRequest`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `ExportComplexRelationsRequest`